Imports Microsoft.VisualStudio.DebuggerVisualizers


<Assembly: DebuggerVisualizer("Fabio.Visualizer.PictureVisualizer", _
"Fabio.Visualizer.PictureVisualizerSource", _
Target:=GetType(System.Drawing.Image), _
Description:="Fabio Picture Visualizer")> 

<DebuggerVisualizer("Fabio.Visualizer.Visualizer", _
"Fabio.Visualizer.PictureVisualizerSource")> _
Public Class PictureVisualizer
    Inherits DialogDebuggerVisualizer

    Protected Overloads Overrides Sub Show(ByVal windowService As Microsoft.VisualStudio.DebuggerVisualizers.IDialogVisualizerService, ByVal objectProvider As Microsoft.VisualStudio.DebuggerVisualizers.IVisualizerObjectProvider)
        Dim picViewer As New PicViewer

        picViewer.SetObjectProvider(objectProvider)
        picViewer.ShowDialog()
    End Sub
End Class
